net.minecraft.client

## Class MinecraftAppletImpl

- java.lang.Object
- - net.minecraft.client.Minecraft
  - - net.minecraft.client.MinecraftAppletImpl

- All Implemented Interfaces:
    Runnable, IPlayerUsage

      public class MinecraftAppletImpl
      extends Minecraft

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.Minecraft

      `currentScreen, debug, displayHeight, displayWidth, effectRenderer, entityRenderer, fontRenderer, gameSettings, guiAchievement, hideQuitButton, ingameGUI, inGameHasFocus, isGamePaused, loadingScreen, mcCanvas, mcDataDir, mcProfiler, memoryReserve, minecraftUri, mouseHelper, objectMouseOver, playerController, pointedEntityLiving, renderEngine, renderGlobal, renderViewEntity, running, session, skipRenderWorld, sndManager, standardGalacticFontRenderer, statFileWriter, texturePackList, thePlayer, theWorld`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinecraftAppletImpl(MinecraftApplet par1MinecraftApplet, Canvas par2Canvas, MinecraftApplet par3MinecraftApplet, int par4, int par5, boolean par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayCrashReportInternal(CrashReport par1CrashReport)`
    `void` | `startGame()` Starts the game: initializes the canvas, the title, the settings, etcetera.

    - ### Methods inherited from class net.minecraft.client.Minecraft

      `addGraphicsAndWorldToCrashReport, addServerStatsToSnooper, addServerTypeToSnooper, continueWorldLoading, crashed, debugInfoEntities, debugInfoRenders, displayCrashReport, displayGuiScreen, displayInGameMenu, fmlReentry, freeMemory, getAppDir, getEntityDebug, getGLMaximumTextureSize, getIntegratedServer, getLogAgent, getMinecraft, getMinecraftDir, getNetHandler, getOs, getPlayerUsageSnooper, getSaveLoader, getServerData, getSystemTime, getWorldProviderName, handleClientCommand, installResource, isAmbientOcclusionEnabled, isDemo, isFancyGraphicsEnabled, isFullScreen, isGuiEnabled, isIntegratedServerRunning, isSingleplayer, isSnooperEnabled, launchIntegratedServer, loadWorld, loadWorld, main, run, runTick, scaledTessellator, scheduleTexturePackRefresh, setDimensionAndSpawnPlayer, setIngameFocus, setIngameNotInFocus, setServer, setServerData, shutdown, shutdownMinecraftApplet, stopIntegratedServer, toggleFullscreen`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinecraftAppletImpl

          public MinecraftAppletImpl(MinecraftApplet par1MinecraftApplet,
                             Canvas par2Canvas,
                             MinecraftApplet par3MinecraftApplet,
                             int par4,
                             int par5,
                             boolean par6)

  - ### Method Detail

    - #### displayCrashReportInternal

          public void displayCrashReportInternal(CrashReport par1CrashReport)

      Specified by:
        `displayCrashReportInternal` in class `Minecraft`

    - #### startGame

          public void startGame()
                         throws org.lwjgl.LWJGLException

      Starts the game: initializes the canvas, the title, the settings, etcetera.
      Overrides:
        `startGame` in class `Minecraft`
      Throws:
        `org.lwjgl.LWJGLException`